org.fourthline.cling.support.contentdirectory

## Class DIDLParser.ResHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.seamless.xml.SAXParser.Handler<Res>
    - - org.fourthline.cling.support.contentdirectory.DIDLParser.ResHandler

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler
  Enclosing class:
    DIDLParser

      protected class DIDLParser.ResHandler
      extends org.seamless.xml.SAXParser.Handler<Res>

- - ### Field Summary

    - ### Fields inherited from class org.seamless.xml.SAXParser.Handler

      `attributes, characters, instance, parent, parser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DIDLParser.ResHandler(Res instance, org.seamless.xml.SAXParser.Handler parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endElement(String uri, String localName, String qName)`
    `protected boolean` | `isLastElement(String uri, String localName, String qName)`

    - ### Methods inherited from class org.seamless.xml.SAXParser.Handler

      `characters, getAttributes, getCharacters, getInstance, getParent, getParser, startElement, switchToParent`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DIDLParser.ResHandler

          public DIDLParser.ResHandler(Res instance,
                               org.seamless.xml.SAXParser.Handler parent)

  - ### Method Detail

    - #### endElement

          public void endElement(String uri,
                        String localName,
                        String qName)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Overrides:
        `endElement` in class `org.seamless.xml.SAXParser.Handler<Res>`
      Throws:
        `SAXException`

    - #### isLastElement

          protected boolean isLastElement(String uri,
                              String localName,
                              String qName)

      Overrides:
        `isLastElement` in class `org.seamless.xml.SAXParser.Handler<Res>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.